<h3 align="center"><strong>Generate random anime facts with a huge database.</strong></h3>
<center><strong>Powered by <a href="https://airi.kyoyo.me/" target="_blank">Airi</a></strong></center>
<br>

Need support? _[Click here](https://discord.gg/yyW389c)_

### First make sure you have a [Airi](https://airi.kyoyo.me/) API Token. Join _[this](https://discord.gg/yyW389c)_ discord server to get one.

## Installation:

### NPM

```bash
$ npm install anime-facts
```

### YARN

```bash
$ yarn add anime-facts
```

### Query parameters _[ OPTIONAL ]_

| Parameters     | Type     | Description                                                                                                                                                                                                                                                                                                         |
| :-------- | :------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| tags      | `String` | Filter random fact by tag(s). Takes a list of one or more tag names, separated by a comma (meaning `AND`) or a pipe (meaning `OR`). A comma separated list will match facts that have **_all_** of the given tags. While a pipe (`\|`) separated list will match facts that have **_either_** of the provided tags.|                                                                                                          |
| minLength | `Int`    | The minimum Length in characters ( can be combined with `maxLength` )               |                                          |
| maxLength | `Int`    | The maximum Length in characters ( can be combined with `minLength` )   |                                                                                                                                                                                        

## Usage:

```javascript
const AnimeFact = require("anime-facts");
const api = new AnimeFact("YOUR TOKEN");

api.getFact().then((res) => console.log(res));
```

### Using Query:

```javascript
const AnimeFact = require("anime-facts");
const api = new AnimeFact("YOUR TOKEN");
// Note currently there are only fews tags, length available in the database. So, it might return the same data multiple times.
api.getFact(null, 1, 100).then((res) => console.log(res));

// Returns with:
{
  id: 5,
  tags: [ 'TEZUKA Osamu', 'Artist' ],
  fact: 'TEZUKA Osamu is the most famous manga artist in Japan.',
  length: 54
}
```

## Functions

| **Functions** | **Description**              |
| :-----------: | ---------------------------- |
|    getFact    | Generate random anime facts. |

## Credits

[@LamkasDev](https://github.com/LamkasDev) for adding facts to prior database\
[@xMercyTheDeveloper](https://github.com/xMercyTheDeveloper) for adding a fact to prior database\
[@Lioness100](https://github.com/Lioness100) for adding types and improving codes in version [2.2.6](https://www.npmjs.com/package/anime-facts/v/2.2.6)\
[@Aetrnyx](https://github.com/aetrnyx) for fixing the readme in [4.3.9](https://www.npmjs.com/package/anime-facts/v/4.3.9)
